Bug 445261 - Review Request: icelandic-fonts - Icelandic Magical Staves
Summary: Review Request: icelandic-fonts - Icelandic Magical Staves
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jon Stanley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-05 20:26 UTC by Jon Stanley
Modified: 2009-02-12 03:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 03:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jon Stanley 2008-05-05 20:26:56 UTC
Spec URL: http://jstanley.fedorapeople.org/icelandic-fonts.spec
SRPM URL: http://jstanley.fedorapeople.org/icelandic-fonts-1.0-1.fc8.noarch.rpm
Description: 

A font that includes most "magical" staves that have been "used" in Iceland.
Original drawings from the Museum of Sorcery & Witchcraft web site at
www.galdrasyning.is/.

Comment 1 Jon Stanley 2008-05-05 20:28:20 UTC
rpmlint:

icelandic-fonts.noarch: W: no-documentation

No documentation for a font.

Comment 2 Nicolas Mailhot 2008-05-06 21:39:35 UTC
On the technical side same comments apply as for Brett font.

*However* please contact the author and make sure he's not just digitized and
transformed without authorization material posted on www.galdrasyning.is. If he
actually drew the shapes himself from scratch that's probably ok.

Thank you for packaging a few fonts!

Comment 3 Jason Tibbitts 2008-06-28 18:25:56 UTC
Any progress here?

Comment 4 Jon Stanley 2008-07-03 09:59:06 UTC
bah forgot all about it. having just one arm for now sucks - will address at a
later point in my recovery from surgery :)

Comment 5 Jon Stanley 2008-07-07 00:23:25 UTC
mail sent to upstream, waiting for response

Comment 6 Jon Stanley 2008-07-13 14:06:20 UTC
Upstream has authorization to use these images. Can we get this one approved?

https://bugzilla.redhat.com/show_bug.cgi?id=445261

No one cared to say that I had got authorization to use
the images. 

Simple misunderstanding here :)

Comment 7 Nicolas Mailhot 2008-07-13 15:04:18 UTC
This one still needs a little work.

1. don't do an otf cp in %prep, use the more elegant form you did for asana
2. please add a trace of upstream's permission in %doc. Those kinds of things
tend to be lost and cause problems later

Comment 8 Jon Stanley 2008-07-13 15:52:17 UTC
New SRPM: http://jstanley.fedorapeople.org/icelandic-fonts-1.001-1.fc9.src.rpm
spec is the same

Added information about upstream's permission -
http://www.galdrasyning.is/index.php?option=com_content&task=view&id=418&Itemid=46&lang=en

Comment 9 Nicolas Mailhot 2008-07-13 16:36:13 UTC
Please add the copy of the http://www.galdrasyning.is/ permission text in your
README (with a "taken from foo URL" header). Next thing you know they'll
reorganise their website and your link will point nowhere (If they had made it a
txt file we could have just Source-d it directly from this URL)

I don't see a 1.001 in the OTF file I download from OFLB, just a 1.000 (will
translate in 1.0 for rpm) but I may have a proxy serving an older file between
me and upstream.

I'd package the font preview in %doc but that's purely optional and we'll
certainly need to figure a streamlined way to generate this kind of preview
ourselves in all our font packages someday.

But that's me being a perfectionist. The legal uncertainty has been cleared, and
your package is already better than some I know.

You can continue from 
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a now

APPROVED

Comment 10 Jon Stanley 2008-07-13 17:00:39 UTC
New Package CVS Request
=======================
Package Name: icelandic-fonts
Short Description: Font with Icelandic Magical Staves
Owners: jstanley
Branches: F-8 F-9 EL-4 EL-5
InitialCC: fonts-sig
Cvsextras Commits: yes


Comment 11 Kevin Fenzi 2008-07-13 19:08:56 UTC
cvs done.

Comment 12 Jon Stanley 2009-02-12 03:49:41 UTC
This has been in for a long time, closing.


Note You need to log in before you can comment on or make changes to this bug.